%IDFT   Berechne die inverse diskrete Fourier-Transformation
%   IDFT(Z) ist die inverse diskrete Fourier Transformation des Vektors Z.
%
%   IDFT verwendet nicht den FFT Algorithmus!
% 
%   See also DFT

% Christian Stohrer, Universitaet Basel,FS 2011

function y = idft(z)

N = length(z);
indVec = 0:N-1;
indVec = reshape(indVec,size(z));

w = exp(2*pi*1i/N);

y = zeros(size(z));

for ind = 0:N-1
    y(ind+1) = sum(z(indVec+1).*w.^(ind*indVec));
end

end
